Bug 9295 - [mips-rtems] config/mips/rtems.h init/fini issue
Summary: [mips-rtems] config/mips/rtems.h init/fini issue
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.3
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-13 06:16 UTC by Joel Sherrill
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
mips-rtems.diff (536 bytes, application/octet-stream)
2003-05-21 15:17 UTC, Joel Sherrill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Sherrill 2003-01-13 06:16:02 UTC
2003-01-13      Joel Sherrill <joel@OARcorp.com>

        * config/mips/rtems.h: Predefine __USE_INIT_FINI__ so generic
        RTEMS code knows which C++ initialization style the toolset
        configuration is using.

Release:
gcc 3.3 and trunk
Comment 1 Joel Sherrill 2003-01-29 15:01:48 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to 3.3 branch and HEAD.